<?php

/**
 * @file
 * Imagewall processing functions.
 */

function imagewall_revision_string($rev) {
  return date('d.m.y, H:i', $rev->timestamp);
}

function imagewall_revision_title($rev) {
  return date('d.m.Y, H:i:s', $rev->timestamp) .': '. $rev->log;
}

function _imagewall_get_nid($view_id, $view_args, $svid) {
  if (!isset($svid)) {
    if ($res = db_query("SELECT nid FROM {imagewall_nodes} WHERE view_id=%d AND view_arg='%s'", $view_id, $view_args)) {
      $item = db_fetch_object($res);
      return $item->nid;
    }
  }
  else {
    if ($res = db_query("SELECT nid FROM {node_revisions} WHERE vid = %d", $svid)) {
      $item = db_fetch_object($res);
      return $item->nid;
    }
  }
  return NULL;
}